package cn.com.ty.lift.business.common;

/**
 * @author wcz
 * @Description: 定义系统的一些常量
 * @date 2019/12/31 9:18
 */
public interface Values {

    /**
     * 年检未开始0
     */
    int AI_STEP_NOT_START = 0;
    /**
     * 年检 第一阶段
     */
    int AI_STEP_ONE = 1;
    /**
     * 年检 第二阶段
     */
    int AI_STEP_TWO = 2;
    /**
     * 年检 第三阶段
     */
    int AI_STEP_THREE = 3;
    /**
     * 年检 第四阶段
     */
    int AI_STEP_FOUR = 4;

    /**
     * 0 年检计划初始状态
     */
    int AI_STATUS_NOT_START = 0;
    /**
     * 1  维保工确认年检计划
     */
    int AI_STATUS_COMFIRM = 1;
    /**
     * 2  维保工上传自检报告,选择自检时间 或者 文员设置 是否检查限速器和荷载年检设置，
     *             文员也可以上传自检报告或者确认自检报告和自检时间，自检时间以最后设置的为准
     */
    int AI_STATUS_SELFCHECK = 2;
    /**
     * 3  企业文员确认现场检验时间
     *             录入人员信息，政府质检，企业质检，联系电话
     */
    int AI_STATUS_CHECK_COMFIRM = 3;
    /**
     * 4	维保工上传检验结果
     */
    int AI_STATUS_CHECK_UPLOAD = 4;
    /**
     * 5	企业文员确认检验结果-合格 --> 不能算年检超期
     */
    int AI_STATUS_CHECK_QUALIFIED = 5;
    /**
     * 6	企业文员确认检验结果-整改 --> 回到第二阶段
     */
    int AI_STATUS_CHECK_RECTIFICATION = 6;
    /**
     * 7	企业文员确认检验结果-不合格 --> 可以算年检超期
     */
    int AI_STATUS_CHECK_UNQUALIFIED = 7;
    /**
     * 8	维保工上传年检报告和合格证
     */
    int AI_STATUS_CERTIFICATE_REPORT_UPLOAD = 8;
    /**
     * 9	企业文员确认年检报告和合格证-合格
     */
    int AI_STATUS_CERTIFICATE_REPORT_QUALIFIED = 9;
    /**
     * 10	企业文员确认年检报告和合格证-不合格 -->停用电梯
     */
    int AI_STATUS_CERTIFICATE_REPORT_UNQUALIFIED = 10;
    /**
     * 急修状态（0 待完成）
     */
    int ER_STATUS_TO_COMPLETED = 0;
    /**
     * 急修状态（1 已签到，待修理）
     */
    int ER_STATUS_SIGN_IN = 1;
    /**
     * 急修状态（2 已修理）
     */
    int ER_STATUS_TO_REPAIRED = 2;
    /**
     * 急修状态（3 待评价）
     */
    int ER_STATUS_TO_EVALUATED = 3;
    /**
     * 急修状态（4 完成）
     */
    int ER_STATUS_FINISH = 4;
    /**
     * 急修状态（5 暂停中）
     */
    int ER_STATUS_STOPING = 5;
    /**
     * 急修状态（6 关闭）
     */
    int ER_STATUS_CLOSE = 6;

    /**
     * 根据年检的状态值返回成年检的状态阶段
     * @param stepStatus
     * @return
     */
    static int toStepName(Integer stepStatus){
        int stepName;
        switch (stepStatus){
            case AI_STATUS_NOT_START:
                stepName = 0;
                break;
            case AI_STATUS_COMFIRM:
            case AI_STATUS_SELFCHECK:
                stepName = 1;
                break;
            case AI_STATUS_CHECK_COMFIRM:
                stepName = 2;
                break;
            case AI_STATUS_CHECK_UPLOAD:
            case AI_STATUS_CHECK_QUALIFIED:
            case AI_STATUS_CHECK_RECTIFICATION:
            case AI_STATUS_CHECK_UNQUALIFIED:
                stepName = 3;
                break;
            case AI_STATUS_CERTIFICATE_REPORT_UPLOAD:
            case AI_STATUS_CERTIFICATE_REPORT_QUALIFIED:
            case AI_STATUS_CERTIFICATE_REPORT_UNQUALIFIED:
                stepName = 4;
                break;
            default:
                stepName = -1;
                break;
        }
        return stepName;
    }
}
