package cn.com.ty.lift.system.user.service;

import cn.com.ty.lift.system.user.dao.entity.model.LiftCertificate;
import cn.com.ty.lift.system.user.dao.entity.model.ProjectUser;

import java.util.List;
import java.util.Map;

/**
 * @author huangyuan
 * @date 2019-12-17
 * @description 项目处理
 */
public interface IProjectService {

    /**
     * @param projectUser userId:用户id,companyId:公司id
     * @return
     * @description 判断用户是否能踢出团队
     * @date 2019-12-17 09:20
     */
    Map<String, String> judgeKickOutTeam(ProjectUser projectUser);

    /**
     * @param
     * @return
     * @description 获取用户电梯操作证信息
     * @date 2019-12-17 15:42
     */
    List<LiftCertificate> getLiftCertificateList(ProjectUser projectUser);

    /**
     * @param
     * @return
     * @description 获取用户在指定公司的操作证
     * @date 2019-12-28 16:33
     */
    LiftCertificate getLiftCertificateByUserIdAndCompanyId(ProjectUser projectUser);

    /**
     * @param
     * @return
     * @description 通过用户id集合和公司id获取用户id->操作证信息的map
     * @date 2020-01-02 16:40
     */
    Map<Long, LiftCertificate> getUserIdToLiftCertificateByUserIdListAndCompanyId(List<Long> userIdList, Long companyId);
}
